Infrastructure - Task #7415

Story # 7412 (Closed): Move hazelcast processing cluster to CN Rest Service

Add Hazelcast Instance configuration to Cn Rest Service
2015-10-06 19:52 - Robert Waltz

Status: Closed Start date: 2015-10-06
Priority: Normal Due date:

Assignee: Robert Waltz % Done: 100%
Category: d1_cn_service Estimated time: 0.00 hour
Target version: CCl-2.0.0

Milestone: CCl-2.0 Story Points:

Product Version: *

Description

Associated revisions

Revision 16607 - 2015-10-08 18:54 - Robert Waltz
closes #7415

moving hazelcast into cn_rest_service. Lot of changes to make that happen.

Revision 16607 - 2015-10-08 18:54 - Robert Waltz
closes #7415

moving hazelcast into cn_rest_service. Lot of changes to make that happen.

Revision 16620 - 2015-10-09 17:40 - Robert Waltz
refs #7415

removed HzNodes from D1. added caching to getNodeList and getNode

Revision 16620 - 2015-10-09 17:40 - Robert Waltz
refs #7415

removed HzNodes from D1. added caching to getNodeList and getNode

Revision 16621 - 2015-10-09 17:41 - Robert Waltz
refs #7415

read the hazelcast properties from the /etc/dataone/cn directory, since cn-rest-service runs the hazelcast member instance now.

Revision 16621 - 2015-10-09 17:41 - Robert Waltz
refs #7415

read the hazelcast properties from the /etc/dataone/cn directory, since cn-rest-service runs the hazelcast member instance now.

2024-04-19

1/2




Revision 16623 - 2015-10-09 17:47 - Robert Waltz
refs #7415

moving hazelcast member instance to cn-rest-service

Revision 16623 - 2015-10-09 17:47 - Robert Waltz
refs #7415

moving hazelcast member instance to cn-rest-service

Revision 16624 - 2015-10-09 17:48 - Robert Waltz
refs #7415

moving hazelcast member instance to cn-rest-service

Revision 16624 - 2015-10-09 17:48 - Robert Waltz
refs #7415

moving hazelcast member instance to cn-rest-service

History

#1 - 2015-10-08 19:29 - Robert Waltz
- Status changed from New to Closed
- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Applied in changeset java-client:d1client|r16607.
https://redmine.dataone.org/projects/java-client/repository/revisions/16607
